import {StoreComponent} from "../../../../app/storage/StoreComponent";
import {ScriptAccount} from "../game-model/scriptAccounts/ScriptAccount";

export class ScriptAccountParser {

  public static parseScriptAccounts(storedScriptAccounts: StoreComponent[]): ScriptAccount[] {
    const scriptAccounts: ScriptAccount[] = []
    storedScriptAccounts.forEach(scriptAccount => {
      scriptAccounts.push(this.parseScriptAccount(scriptAccount))
    })
    return scriptAccounts;
  }

  private static parseScriptAccount(storedComponent: StoreComponent): ScriptAccount {
    console.log("Parse ScriptAccount: ", storedComponent.fileName)
    const parsedScriptAccount = new ScriptAccount("", "");
    Object.assign(parsedScriptAccount, JSON.parse(storedComponent.jsonString));
    return parsedScriptAccount;
  }
}
